groovy.lang

## Class ReadOnlyPropertyException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - groovy.lang.GroovyRuntimeException
        - - groovy.lang.MissingPropertyException
          - - groovy.lang.ReadOnlyPropertyException

All Implemented Interfaces:
  java.io.Serializable

    public class ReadOnlyPropertyException
    extends MissingPropertyException

This exception is thrown if an attempt is made to set a read only property

Author:
  James Strachan
See Also:
  Serialized Form

### Field Summary

### Fields inherited from class groovy.lang.MissingPropertyException

`MPE`

### Constructor Summary

Constructors
Constructor and Description
`ReadOnlyPropertyException(java.lang.String property, java.lang.Class type)`
`ReadOnlyPropertyException(java.lang.String property, java.lang.String classname)`

### Method Summary

### Methods inherited from class groovy.lang.MissingPropertyException

`getMessageWithoutLocationText, getProperty, getType`

### Methods inherited from class groovy.lang.GroovyRuntimeException

`getLocationText, getMessage, getModule, getNode, setModule`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ReadOnlyPropertyException

    public ReadOnlyPropertyException(java.lang.String property,
                                     java.lang.Class type)

#### ReadOnlyPropertyException

    public ReadOnlyPropertyException(java.lang.String property,
                                     java.lang.String classname)